﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace GameControl
{
    public partial class frmSeting : Form
    {
        public bool bSet = false;

        public frmSeting()
        {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnAccept_Click(object sender, EventArgs e)
        {
            if (nudLimitsMax.Value < nudLimitsMin.Value)
            {
                MessageBox.Show("出题最大数字不能小于出题最小数字！","设置",MessageBoxButtons.OK,MessageBoxIcon.Error);
                nudLimitsMax.Focus();
                return;
            }

            if (txtPassword.Text != txtAgePwd.Text)
            {
                MessageBox.Show("两次密码不相同，请重新输入！", "设置", MessageBoxButtons.OK, MessageBoxIcon.Error);
                txtPassword.Text = "";
                txtAgePwd.Text = "";
                txtPassword.Focus();
                return;
            }

            SaveSeting();
            this.Close();
        }

        private void SaveSeting()
        {
            StreamWriter objWriter = new StreamWriter(Application.StartupPath + "\\config.ini",false);
            objWriter.WriteLine("游戏时间:" + nudMinutes.Value);
            objWriter.WriteLine("出题数:" + nudMaxNum.Value);
            objWriter.WriteLine("出题最小数字:" + nudLimitsMin.Value);
            objWriter.WriteLine("出题最大数字:" + nudLimitsMax.Value);
            objWriter.WriteLine("退出密码:" + EncryptionDecryption.encode(txtPassword.Text));

            objWriter.Close();
            bSet = true;
        }
    }
}
